import { Ctx, CtxPosition } from './antlr4Types';
import { GetAstOptions, Node, NodePosition } from './types';
export declare class Visitor {
    protected options: GetAstOptions;
    getAst(): Node;
    protected currentParent: Node | undefined;
    constructor(options: GetAstOptions);
    visitChildren(ctx: Ctx): any[] | Node | undefined;
    getNode(ctx: Ctx): Node;
    getPosition(start: CtxPosition): NodePosition;
}
